cURL
curl --request POST \
--url https://api.slash.com/invoice \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"accountId": "<string>",
"legalEntityCustomerId": "<string>",
"details": {
"issuedAt": "2023-12-25",
"dueAt": "2023-12-25",
"invoiceTz": "America/New_York",
"lineItemsAndTotals": {
"lineItems": [
{
"name": "<string>",
"quantity": 123,
"priceCents": 123,
"catalogItemId": "<string>"
}
],
"discount": {
"type": "percentage",
"percent": 123
},
"tax": {
"type": "percentage",
"percent": 123
}
},
"invoiceNumber": "<string>",
"memo": "<string>",
"version": 2,
"ccEmails": [
"<string>"
]
},
"legalEntityContactId": "<string>",
"paymentMethods": [
{
"method": "ach_debit",
"config": {
"passFeeToPayer": true
}
}
]
}
'import requests
url = "https://api.slash.com/invoice"
payload = {
"accountId": "<string>",
"legalEntityCustomerId": "<string>",
"details": {
"issuedAt": "2023-12-25",
"dueAt": "2023-12-25",
"invoiceTz": "America/New_York",
"lineItemsAndTotals": {
"lineItems": [
{
"name": "<string>",
"quantity": 123,
"priceCents": 123,
"catalogItemId": "<string>"
}
],
"discount": {
"type": "percentage",
"percent": 123
},
"tax": {
"type": "percentage",
"percent": 123
}
},
"invoiceNumber": "<string>",
"memo": "<string>",
"version": 2,
"ccEmails": ["<string>"]
},
"legalEntityContactId": "<string>",
"paymentMethods": [
{
"method": "ach_debit",
"config": { "passFeeToPayer": True }
}
]
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
accountId: '<string>',
legalEntityCustomerId: '<string>',
details: {
issuedAt: '2023-12-25',
dueAt: '2023-12-25',
invoiceTz: 'America/New_York',
lineItemsAndTotals: {
lineItems: [{name: '<string>', quantity: 123, priceCents: 123, catalogItemId: '<string>'}],
discount: {type: 'percentage', percent: 123},
tax: {type: 'percentage', percent: 123}
},
invoiceNumber: '<string>',
memo: '<string>',
version: 2,
ccEmails: ['<string>']
},
legalEntityContactId: '<string>',
paymentMethods: [{method: 'ach_debit', config: {passFeeToPayer: true}}]
})
};
fetch('https://api.slash.com/invoice', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"invoice": {
"id": "<string>",
"collectedAmountCents": 123,
"invoiceDetailsId": "<string>",
"accountId": "<string>",
"invoiceTransactions": [
{
"transactionType": "external",
"transaction": {
"paymentMethod": {
"method": "ach_debit",
"config": {
"passFeeToPayer": true
}
},
"paidAt": "<string>"
}
}
],
"legalEntityContactId": "<string>",
"legalEntityCustomerId": "<string>",
"invoicePaymentMethods": [
{
"method": "ach_debit",
"config": {
"passFeeToPayer": true
}
}
],
"closedAt": "2023-11-07T05:31:56Z",
"invoiceSeriesId": "<string>",
"scheduledSendDate": "2023-11-07T05:31:56Z"
},
"invoiceDetails": {
"id": "<string>",
"issuedAt": "2023-11-07T05:31:56Z",
"dueAt": "2023-11-07T05:31:56Z",
"invoiceTz": "America/New_York",
"currency": "<string>",
"lineItemsAndTotals": {
"lineItems": [
{
"name": "<string>",
"quantity": 123,
"priceCents": 123,
"catalogItemId": "<string>"
}
],
"subtotalCents": 123,
"totalAmountCents": 123,
"discount": {
"type": "percentage",
"percent": 123
},
"tax": {
"type": "percentage",
"percent": 123
}
},
"invoiceNumber": "<string>",
"documentId": "<string>",
"billedTo": {
"name": "<string>",
"email": "<string>",
"address": {
"addressLine": "<string>",
"addressCity": "<string>",
"addressState": "<string>",
"addressZip": "<string>",
"addressLine2": "<string>",
"addressCountry": "<string>"
},
"ccEmails": [
"<string>"
]
},
"version": 2,
"memo": "<string>"
},
"invoiceAccount": {
"id": "<string>",
"name": "<string>",
"slashAccountGroupId": "<string>",
"accountNumber": "<string>",
"routingNumber": "<string>",
"closedAt": "<string>"
}
}{
"message": "<string>",
"name": "<string>",
"identifier": "<string>",
"rawStatus": 123,
"meta": {}
}{
"message": "<string>",
"name": "<string>",
"identifier": "<string>",
"rawStatus": 123,
"meta": {}
}{
"message": "<string>",
"name": "<string>",
"identifier": "<string>",
"rawStatus": 123,
"meta": {}
}{
"message": "<string>",
"name": "<string>",
"identifier": "<string>",
"rawStatus": 123,
"meta": {}
}Invoice
Create invoice
Create a new invoice.
POST
/
invoice
cURL
Authorizations
api_keybearer
API key authentication for public API requests.
Keys come in two flavors:
- Legal-entity-scoped keys are pinned to a single legal entity. Minted via the dashboard under a specific entity; every request acts on that entity.
- User-scoped keys are pinned to a user and span every legal
entity that user has access to. Every request made with a
user-scoped key (except
GET /legal-entity, which lists the legal entities the user can access) must include anx-legal-entityheader naming the legal entity the request is operating on. Requests without the header are rejected with400. The authenticated user must have an active permission role on the supplied legal entity, otherwise the request is rejected with403.
Body
application/json
The ID of the account to receive payment. You can get this by calling GET /account.
The ID of the customer to bill. Create a customer first via POST /customer.
Show child attributes
Show child attributes
DEPRECATED. No longer accepted as of the contact→customer migration. Pass legalEntityCustomerId instead.
paymentMethods
(PaymentMethodAchDebit · object | PaymentMethodCardPayment · object | PaymentMethodCryptoDeposit · object | PaymentMethodInboundAchTransfer · object | PaymentMethodInboundInternationalWire · object | PaymentMethodInboundRtp · object | PaymentMethodInboundWireTransfer · object)[]
Payment methods to enable on this invoice.
- PaymentMethodAchDebit
- PaymentMethodCardPayment
- PaymentMethodCryptoDeposit
- PaymentMethodInboundAchTransfer
- PaymentMethodInboundInternationalWire
- PaymentMethodInboundRtp
- PaymentMethodInboundWireTransfer
Show child attributes
Show child attributes
⌘I